## lib1305 0~20250407

=== debian/changelog ===
lib1305 (0~20250407-3) unstable; urgency=medium

  * d/p/0001-arm32-skip-checkinsns-test.patch remove
  * d/rules: add workaround for armel platform which disables ASM version
    of cryptoint
  * d/salsa-ci.yml: enable build on ARMEL

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 13 Apr 2025 10:32:31 +0200

lib1305 (0~20250407-2) unstable; urgency=medium

  * d/p/0001-arm32-skip-checkinsns-test.patch add, fix build on armel

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 13 Apr 2025 07:51:48 +0200

lib1305 (0~20250407-1) unstable; urgency=medium

  * Initial release.  Closes: #1102291.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 07 Apr 2025 13:20:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,noexecstack

# Disable hardening-stackclash on armhf.
# On armhf, valgrind test dies with a SIGSEGV when
# built with either -fstack-clash-protection or -fstack-check.
ifeq ($(DEB_TARGET_ARCH), armhf)
export DEB_BUILD_MAINT_OPTIONS = hardening=hardening=+all,-stackclash
endif

# XXX This trick disables ASM version of cryptoint on armel.
# It's workaroud for:
# Error: selected processor does not support `uxth r0,r0' in ARM mode
ifeq ($(DEB_TARGET_ARCH), armel)
export DEB_CFLAGS_MAINT_APPEND = -D__thumb__
endif

# crossbuild
ifneq  ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
include /usr/share/dpkg/buildtools.mk
endif

%:
	dh $@ --with python3

# The debian/compiler directory contains gcc and clang wrappers.
# It adds Debian specifific options distributed in
# $CC, $CFLAGS, $CPPFLAGS and $LDFLAGS
export PATH := $(shell pwd)/debian/compiler:$(PATH)

# Detects the correct ABINAME from the DEB_BUILD_ARCH
# instead of run-time detection. Fixes FTBR.
ABINAME=$(DEB_BUILD_ARCH)
ifeq ($(ABINAME), x32)
ABINAME=amd64
endif

COMMAND_VALGRIND = $(shell command -v valgrind)

ifeq ($(filter /usr/bin/valgrind,$(COMMAND_VALGRIND)),)
DISABLE_VALGRIND += --no-valgrind
endif

override_dh_auto_configure:
	./configure --host=$(ABINAME) --prefix=/usr $(DISABLE_VALGRIND)

override_dh_auto_clean:
	rm -rf ./build

# disable auto installation
override_dh_auto_install:

# run lib1305-test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env "LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:./build/0/package/lib" ./build/0/package/bin/lib1305-test
endif

## lib1305 0~20250415

=== build/Makefile ===
default:
	cd amd64 && $(MAKE)

install:
	cd amd64 && $(MAKE) install

clean:
	rm -r amd64

=== debian/changelog ===
lib1305 (0~20250415-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: temp. disable build on arm64,armhf,armel (no runners)
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Fix man pages wrt groff-message C font.
  * Tighten Salsa CI.
  * Add lrc.excludes.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 19:22:46 +0100

lib1305 (0~20250415-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/control: use valgrind-if-available instead of valgrind in Recommends

  [ Simon Josefsson ]
  * Change maintainer to pkg-security.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 13:36:19 +0200

lib1305 (0~20250415-1) unstable; urgency=medium

  * New upstream version 20250415
  * d/rules: remove armel workaround, fixed in upstream

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 15 Apr 2025 11:07:07 +0200

=== debian/control ===
Source: lib1305
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
 Jan Mojžíš <janmojzis@debian.org>,
Priority: optional
Standards-Version: 4.7.2
Section: libs
Homepage: https://lib1305.cr.yp.to/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libcpucycles-dev,
 librandombytes-dev,
 pandoc [!m68k !sh4 !x32] <!nodoc>,
 python3,
 python3-capstone,
 valgrind-if-available,
Vcs-Git: https://salsa.debian.org/debian/lib1305.git
Vcs-Browser: https://salsa.debian.org/debian/lib1305

Package: lib1305-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Poly1305 one-time authenticator microlibrary - shared library
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 lib1305 has a very simple stateless API based on the SUPERCOP API,
 with wire-format inputs and outputs, providing a function poly1305 to
 generate an authenticator and a function poly1305_verify to verify an
 authenticator.
 .
 Internally, lib1305 includes implementations designed to work
 portably across CPUs, and implementations designed for higher
 performance on Intel/AMD CPUs with BMI2 instructions. lib1305
 includes automatic run-time selection of implementations.
 .
 lib1305 is intended to be called by larger multi-function libraries
 (such as traditional cryptographic libraries), including libraries in
 other languages via FFI. The idea is that lib1305 takes
 responsibility for the details of Poly1305 computation, including
 optimization, timing-attack protection, and (planned) verification,
 freeing up the calling libraries to concentrate on
 application-specific needs such as protocol integration. Applications
 can also call lib1305 directly.
 .
 Shared library.

Package: lib1305-dev
Section: libdevel
Architecture: any
Depends:
 lib1305-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Poly1305 one-time authenticator microlibrary - development files
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 Development files.

Package: poly1305
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 valgrind-if-available,
 ${python3:Depends},
Description: lib1305 one-time authenticator microlibrary - command line tools
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 The lib1305-speed, lib1305-test and lib1305-fulltest tools can be
 used for benchmarking and internal self testing.  Python and Valgrind
 is only needed for the lib1305-fulltest tool, the other tools are
 written in C.
 .
 Command line tools.

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,6 @@
 # built with either -fstack-clash-protection or -fstack-check.
 ifeq ($(DEB_TARGET_ARCH), armhf)
 export DEB_BUILD_MAINT_OPTIONS = hardening=hardening=+all,-stackclash
-endif
-
-# XXX This trick disables ASM version of cryptoint on armel.
-# It's workaroud for:
-# Error: selected processor does not support `uxth r0,r0' in ARM mode
-ifeq ($(DEB_TARGET_ARCH), armel)
-export DEB_CFLAGS_MAINT_APPEND = -D__thumb__
 endif
 
 # crossbuild
@@ -46,6 +39,11 @@
 endif
 
 override_dh_auto_configure:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	head -v $(shell find . -name lib1305.3)
+	(! command -v pandoc) || autogen/man
+	head -v $(shell find . -name lib1305.3)
+endif
 	./configure --host=$(ABINAME) --prefix=/usr $(DISABLE_VALGRIND)
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests:
 test1305-static,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-dev,
 librandombytes-dev,

Tests:
 test1305-shared,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-1,
 lib1305-dev,
 librandombytes-dev,

Tests:
 lib1305-fulltest,
Restrictions:
 allow-stderr,
 skippable,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-1,
 lib1305-dev,
 libcpucycles-dev,
 librandombytes-dev,
 python3,
 rsync,
 valgrind-if-available,

=== debian/watch ===
Version: 5
Source: https://lib1305.cr.yp.to/download.html
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: s/^/0~/
